Bug 225230 - science/mpb: Unbreak using lang/gcc instead of base gcc
Summary: science/mpb: Unbreak using lang/gcc instead of base gcc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks: 225128
  Show dependency treegraph
 
Reported: 2018-01-16 18:20 UTC by Rainer Hurling
Modified: 2018-01-25 07:53 UTC (History)
2 users (show)

See Also:
rhurlin: maintainer-feedback+


Attachments
patch to force mpb to use gcc from ports on HEAD (339 bytes, patch)
2018-01-16 18:20 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling 2018-01-16 18:20:51 UTC
Created attachment 189809 [details]
patch to force mpb to use gcc from ports on HEAD

science/mpb stops with the following error, when build on recent 12.0-CURRENT:


[..snip..]
/lib/libgcc_s.so.1: version GCC_4.6.0 required by /usr/local/lib/gcc6/libgfortran.so.3 not found
*** Error code 1
Stop.
make[6]: stopped in /usr/ports/science/mpb/work/mpb-1.5/src/util


To circumstance this, force using GCC6 as compiler on HEAD. 



Tested on Poudriere (10.4i/a, 11.1i/a  and, HEADi/a.

portlint -AC seems happy.
Comment 1 commit-hook freebsd_committer 2018-01-21 18:22:46 UTC
A commit references this bug:

Author: gerald
Date: Sun Jan 21 18:21:55 UTC 2018
New revision: 459622
URL: https://svnweb.freebsd.org/changeset/ports/459622

Log:
  Fix the build on FreeBSD 12+ by using a current version of GCC which
  is already used by some of the dependencies.

  This avoids build errors of the following kind:

    /lib/libgcc_s.so.1: version GCC_4.6.0 required by
    /usr/local/lib/gcc6/libgfortran.so.3 not found

  Submitted by:	maintainer (Rainer Hurling <rhurlin@gwdg.de>)
  PR:		225230

Changes:
  head/science/mpb/Makefile
Comment 2 Gerald Pfeifer freebsd_committer 2018-01-21 18:25:26 UTC
Thanks for reporting this with a proposed fix already.

(And good idea to copy me on this; happy to help when I can!)
Comment 3 Gerald Pfeifer freebsd_committer 2018-01-24 08:47:05 UTC
Rainer, looking at this again, why ${OSVERSION} > 1200051 ?

https://www.freebsd.org/doc/en/books/porters-handbook/versions.html#versions-12
has 1200051 as

  "12.0-CURRENT after removing12.0-CURRENT after removing libstand.a 
  as a public interface. (r324454)."

Is that really the right one?  Or should it be 1200056

  "12.0-CURRENT after upgrading clang, llvm, lld, lldb, compiler-rt
  and libc++ to 6.0.0 (branches/release_60 r321788)."

?

And >= instead of > ?
Comment 4 Rainer Hurling 2018-01-24 09:54:31 UTC
Hi Gerald,

> Rainer, looking at this again, why ${OSVERSION} > 1200051 ?
> 
> https://www.freebsd.org/doc/en/books/porters-handbook/versions.html#versions-12
> has 1200051 as
> 
>   "12.0-CURRENT after removing12.0-CURRENT after removing libstand.a 
>  as a public interface. (r324454)."
> 
> Is that really the right one?  Or should it be 1200056
> 
>   "12.0-CURRENT after upgrading clang, llvm, lld, lldb, compiler-rt
>   and libc++ to 6.0.0 (branches/release_60 r321788)."
> 
> And >= instead of > ?

in both cases you are right. Indeed, it is 1200056, with the upgrade of the compiler. Sorry for my inaccuracy.


Today, I built and installed 12.0-CURRENT rr328315 (with corrected ldd lazy symbol treatment and libcxxrt symbol versioning). After that, I rebuilt and reinstalled science/mpb without the last patch for gcc6 on HEAD and it works!

So, I feel pretty sure, that the patch is obsolete now for CURRENT after r328305. If I am right, shouldn't we remove the patch again from the port?
Comment 5 commit-hook freebsd_committer 2018-01-25 07:53:55 UTC
A commit references this bug:

Author: jbeich
Date: Thu Jan 25 07:52:54 UTC 2018
New revision: 459910
URL: https://svnweb.freebsd.org/changeset/ports/459910

Log:
  science/mpb: back out r459622 after base r328286

  For a short time LLD_BOOTSTRAP (on amd64) broke many USES=fortran
  consumers but now that it's fixed the workaround can go away.
  -CURRENT support in ports is primarily limited to the latest tip,
  not an arbitrary old version.

  PR:		225230
  Tested by:	Rainer Hurling (maintainer)

Changes:
  head/science/mpb/Makefile